Package org.apache.tiles.el

# Class TilesContextELResolver

java.lang.Object
jakarta.el.ELResolver
org.apache.tiles.el.TilesContextELResolver

public class TilesContextELResolver extends jakarta.el.ELResolver
Resolves properties of `Request` and `ApplicationContext`.

Since:
  2.2.1

- ## Field Summary

  ### Fields inherited from class jakarta.el.ELResolver

  `RESOLVABLE_AT_DESIGN_TIME, TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TilesContextELResolver(jakarta.el.ELResolver beanElResolver)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getCommonPropertyType(jakarta.el.ELContext context, Object base)`
  `Iterator<FeatureDescriptor>`
  `getFeatureDescriptors(jakarta.el.ELContext context, Object base)`
  `Class<?>`
  `getType(jakarta.el.ELContext context, Object base, Object property)`
  `Object`
  `getValue(jakarta.el.ELContext context, Object base, Object property)`
  `boolean`
  `isReadOnly(jakarta.el.ELContext context, Object base, Object property)`
  `void`
  `setValue(jakarta.el.ELContext context, Object base, Object property, Object value)`

  ### Methods inherited from class jakarta.el.ELResolver

  `convertToType, invoke`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TilesContextELResolver

    public TilesContextELResolver(jakarta.el.ELResolver beanElResolver)
    Constructor.
    Parameters:
      `beanElResolver` - The used bean resolver.

- ## Method Details

  - ### getCommonPropertyType

    public Class<?> getCommonPropertyType(jakarta.el.ELContext context, Object base)
    Specified by:
      `getCommonPropertyType` in class `jakarta.el.ELResolver`

  - ### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(jakarta.el.ELContext context, Object base)
    Overrides:
      `getFeatureDescriptors` in class `jakarta.el.ELResolver`

  - ### getType

    public Class<?> getType(jakarta.el.ELContext context, Object base, Object property)
    Specified by:
      `getType` in class `jakarta.el.ELResolver`

  - ### getValue

    public Object getValue(jakarta.el.ELContext context, Object base, Object property)
    Specified by:
      `getValue` in class `jakarta.el.ELResolver`

  - ### isReadOnly

    public boolean isReadOnly(jakarta.el.ELContext context, Object base, Object property)
    Specified by:
      `isReadOnly` in class `jakarta.el.ELResolver`

  - ### setValue

    public void setValue(jakarta.el.ELContext context, Object base, Object property, Object value)
    Specified by:
      `setValue` in class `jakarta.el.ELResolver`